## ENameSelector

ENameSelector

## Functions

ENameSelector * | e_name_selector_new ()
EClientCache * | e_name_selector_ref_client_cache ()
ENameSelectorModel * | e_name_selector_peek_model ()
ENameSelectorDialog * | e_name_selector_peek_dialog ()
ENameSelectorEntry * | e_name_selector_peek_section_entry ()
ENameSelectorList * | e_name_selector_peek_section_list ()
void | e_name_selector_show_dialog ()
void | e_name_selector_load_books ()
void | e_name_selector_cancel_loading ()

## Properties

EClientCache * | client-cache | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── ENameSelector

## Description

## Functions

### e_name_selector_new ()

    ENameSelector *
    e_name_selector_new (EClientCache *client_cache);

Creates a new ENameSelector.

#### Parameters

client_cache | an EClientCache |

#### Returns

A new ENameSelector.

### e_name_selector_ref_client_cache ()

    EClientCache *
    e_name_selector_ref_client_cache (ENameSelector *name_selector);

Returns the EClientCache passed to `e_name_selector_new()`.

The returned EClientCache is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

#### Parameters

name_selector | an ENameSelector |

#### Returns

an EClientCache

Since: 3.8

### e_name_selector_peek_model ()

    ENameSelectorModel *
    e_name_selector_peek_model (ENameSelector *name_selector);

Gets the ENameSelectorModel used by `name_selector` .

#### Parameters

name_selector | an ENameSelector |

#### Returns

The ENameSelectorModel used by `name_selector` .

### e_name_selector_peek_dialog ()

    ENameSelectorDialog *
    e_name_selector_peek_dialog (ENameSelector *name_selector);

Gets the ENameSelectorDialog used by `name_selector` .

#### Parameters

name_selector | an ENameSelector |

#### Returns

The ENameSelectorDialog used by `name_selector` .

### e_name_selector_peek_section_entry ()

    ENameSelectorEntry *
    e_name_selector_peek_section_entry (ENameSelector *name_selector,
                                        const gchar *name);

Gets the ENameSelectorEntry for the section specified by `name` .

#### Parameters

name_selector | an ENameSelector |
name | the name of the section to peek |

#### Returns

The ENameSelectorEntry for the named section, or `NULL` if it doesn't exist in the ENameSelectorModel.

### e_name_selector_peek_section_list ()

    ENameSelectorList *
    e_name_selector_peek_section_list (ENameSelector *name_selector,
                                       const gchar *name);

Gets the ENameSelectorList for the section specified by `name` .

#### Parameters

name_selector | an ENameSelector |
name | the name of the section to peek |

#### Returns

The ENameSelectorList for the named section, or `NULL` if it doesn't exist in the ENameSelectorModel.

### e_name_selector_show_dialog ()

    void
    e_name_selector_show_dialog (ENameSelector *name_selector,
                                 GtkWidget *for_transient_widget);

Shows the associated dialog, and sets the transient parent to the GtkWindow top-level of "for_transient_widget if set (it should be)

#### Parameters

name_selector | an ENameSelector |
for_transient_widget | a widget parent or `NULL` |

Since: 2.32

### e_name_selector_load_books ()

    void
    e_name_selector_load_books (ENameSelector *name_selector);

Loads address books available for the `name_selector` . This can be called only once and it can be cancelled by `e_name_selector_cancel_loading()`.

#### Parameters

name_selector | an ENameSelector |

Since: 3.2

### e_name_selector_cancel_loading ()

    void
    e_name_selector_cancel_loading (ENameSelector *name_selector);

Cancels any pending address book load operations. This might be called before an owner unrefs this `name_selector` .

#### Parameters

name_selector | an ENameSelector |

Since: 3.2

## Property Details

### The `“client-cache”` property

      “client-cache”             EClientCache *

Cache of shared EClient instances.

Owner: ENameSelector

Flags: Read / Write / Construct Only